# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /var/folders/k1/30mswbxs7r1g6zwn8y4fyt500000gp/T/abs_88qd66zqnn/clone/recipe, last modified Tue Apr  9 16:39:20 2024
# ------------------------------------------------

package:
  name: oracledb
  version: 2.1.1
source:
  sha256: e2e817cfa6dff36c7131736f34e2aaec75d726fd38d1910d8318061a278228fa
  url: https://pypi.io/packages/source/o/oracledb/oracledb-2.1.1.tar.gz
build:
  number: '0'
  script: /var/folders/k1/30mswbxs7r1g6zwn8y4fyt500000gp/T/abs_88qd66zqnn/croot/oracledb_1712698767634/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py312h80987f9_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - bzip2 1.0.8 h80987f9_5
    - ca-certificates 2024.3.11 hca03da5_0
    - cython 3.0.10 py312h80987f9_0
    - expat 2.5.0 h313beb8_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.13 h1a28f6b_0
    - pip 23.3.1 py312hca03da5_0
    - python 3.12.2 h99e199e_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.2.2 py312hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py312hca03da5_0
    - xz 5.4.6 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - cryptography >=3.2.1
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
  imports:
    - oracledb
  requires:
    - pip
about:
  description: 'python-oracledb is a Python programming language extension module
    allowing Python programs to connect to Oracle Database.

    It is the renamed, new major release of the popular cx_Oracle driver.

    '
  dev_url: https://github.com/oracle/python-oracledb
  doc_url: https://python-oracledb.readthedocs.io
  home: https://oracle.github.io/python-oracledb
  license: Apache-2.0 OR UPL-1.0
  license_family: Apache
  license_file:
    - LICENSE.txt
    - NOTICE.txt
  summary: Python interface to Oracle Database
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 882b707f-33bd-4707-8053-5954474be0a5
  recipe-maintainers:
    - xylar
  remote_url: git@github.com:AnacondaRecipes/oracledb-feedstock.git
  sha: 675ca18b113e497ab73077aeac08b1d2b7ca9309
